org.apache.tapestry5.internal.services.assets

## Class AssetChecksumGeneratorImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.assets.AssetChecksumGeneratorImpl

- All Implemented Interfaces:
    AssetChecksumGenerator

      public class AssetChecksumGeneratorImpl
      extends Object
      implements AssetChecksumGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssetChecksumGeneratorImpl(StreamableResourceSource streamableResourceSource, ResourceChangeTracker tracker)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateChecksum(Resource resource)` Given a raw resource, generates an MD5 checksum of the resource's contents.
    `String` | `generateChecksum(StreamableResource resource)` Given a streamable resource, generates an MD5 checksum of the resource's contents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssetChecksumGeneratorImpl

          public AssetChecksumGeneratorImpl(StreamableResourceSource streamableResourceSource,
                                            ResourceChangeTracker tracker)

  - ### Method Detail

    - #### generateChecksum

          public String generateChecksum(Resource resource)
                                  throws IOException

      Description copied from interface: `AssetChecksumGenerator`
      Given a raw resource, generates an MD5 checksum of the resource's contents.
      Specified by:
        `generateChecksum` in interface `AssetChecksumGenerator`
      Returns:
        checksum of contents
      Throws:
        `IOException`

    - #### generateChecksum

          public String generateChecksum(StreamableResource resource)
                                  throws IOException

      Description copied from interface: `AssetChecksumGenerator`
      Given a streamable resource, generates an MD5 checksum of the resource's contents.
      Specified by:
        `generateChecksum` in interface `AssetChecksumGenerator`
      Returns:
        checksum of contents
      Throws:
        `IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.